#include "mbed.h"

Serial pc(USBTX,USBRX);

Ticker ticker;
DigitalOut led1(LED1);
DigitalOut led2(LED2);
CAN can1(p9, p10);
CAN can2(p30, p29);
char counter = 0;

void send() {
	pc.printf("send()\n\r");
	if(can1.write(CANMessage(1337, &counter, 1))) {
		pc.printf("wloop()\n\r");
		counter++;
		pc.printf("Message sent: %d\n\r", counter);
	} 
	led1 = !led1;
}

int main() {
	pc.printf("main()\n\r");
	ticker.attach(&send, 1);
	CANMessage msg;
	while(1) {
		pc.printf("loop()\n\r");
		if(can2.read(msg)) {
			pc.printf("Message received: %d\n\r", msg.data[0]);
			led2 = !led2;
		} 
		wait(0.2);
	}
}

